/*
 * voicechat - Voice chat via TCP/IP
 * Copyright 1995 Riku Saikkonen (rjs@spider.compart.fi)
 *
 * Voicechat is free software, distributed under the terms of the GNU
 * General Public License version 2, and comes with ABSOLUTELY NO WARRANTY;
 * for details, see the file README distributed with the program.
 */

#include "voicechat.h"
#include <ncurses.h>

/* At least one character in stdin, handle it */
void handle_kbd(void)
{
  int ch;
  char buf[2];

  while ((ch=getch())!=ERR)
  {
    switch (ch)
    {
      case 1: /* ^A: record on/off */
        if (recording)
        {
          record_off();
          *buf='r';netout(buf,1);
        } else
        {
          record_on();
          *buf='R';netout(buf,1);
        }
        update_status=1;
        break;
      case 16: /* ^P: send a pause */
        *buf='P';netout(buf,1);
        break;
      case 6: /* ^F: flush soundout */
        flush_soundout=sobufpos;
        break;
      case 20: /* ^T: send a test request */
        *buf='T';netout(buf,1);
        break;
      case 24: /* ^X: quit */
        *buf='Q';netout(buf,1);
        quitting=1;
        break;
      case 8:
      case KEY_BACKSPACE:
      case KEY_DC: /* Send a backspace */
        buf[0]='C';buf[1]=8;
        netout(buf,2);
        disp_writeown(8);
        break;
      case 10:
      case 13:
      case KEY_ENTER: /* Send a newline */
        buf[0]='C';buf[1]=10;
        netout(buf,2);
        disp_writeown(10);
        break;
      default: /* Send the character */
        buf[0]='C';buf[1]=ch;
        netout(buf,2);
        disp_writeown(ch);
        break;
    }
  }
}
